From 34cb1b92df219d3077d75c1e4505325d0e40a2b3 Mon Sep 17 00:00:00 2001
From: Carl Eugen Hoyos <ce.hoyos@grassfish.com>
Date: Thu, 24 Nov 2022 23:11:44 +0100
Subject: [PATCH] lavc/mscc: Change BGRA to BGR0, there is no transparency in
 screen recordings

Mentioned in ticket #10068
---
 libavcodec/mscc.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/libavcodec/mscc.c b/libavcodec/mscc.c
index e8406aa268..746e9e5ea6 100644
--- a/libavcodec/mscc.c
+++ b/libavcodec/mscc.c
@@ -217,7 +217,7 @@ static av_cold int decode_init(AVCodecContext *avctx)
     case  8: avctx->pix_fmt = AV_PIX_FMT_PAL8;   break;
     case 16: avctx->pix_fmt = AV_PIX_FMT_RGB555; break;
     case 24: avctx->pix_fmt = AV_PIX_FMT_BGR24;  break;
-    case 32: avctx->pix_fmt = AV_PIX_FMT_BGRA;   break;
+    case 32: avctx->pix_fmt = AV_PIX_FMT_BGR0;   break;
     default:
         av_log(avctx, AV_LOG_ERROR, "Unsupported bitdepth %i\n", avctx->bits_per_coded_sample);
         return AVERROR_INVALIDDATA;
-- 
2.17.1

